using System;

internal sealed class Delegate593 : MulticastDelegate
{
	public extern long Invoke(ref TimeSpan timeSpan_0);

	public static long smethod_0(ref TimeSpan timeSpan_0, Delegate593 delegate593_1)
	{
		return delegate593_1(ref timeSpan_0);
	}

	public extern Delegate593(object object_0, IntPtr intptr_0);

	static Delegate593()
	{
		Class10.smethod_13(typeof(Delegate593).TypeHandle);
	}

	internal static Delegate593 delegate593_0;
}
